org.apache.tapestry5.internal.jpa

## Class NoopAnnotatedType<X>

- java.lang.Object
- - org.apache.tapestry5.internal.jpa.NoopAnnotatedType<X>

- All Implemented Interfaces:
    Annotated, AnnotatedType<X>

      public class NoopAnnotatedType<X>
      extends Object
      implements AnnotatedType<X>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoopAnnotatedType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends Annotation> T` | `getAnnotation(Class<T> annotationType)`
    `Set<Annotation>` | `getAnnotations()`
    `Type` | `getBaseType()`
    `Set<AnnotatedConstructor<X>>` | `getConstructors()`
    `Set<AnnotatedField<? super X>>` | `getFields()`
    `Class<X>` | `getJavaClass()`
    `Set<AnnotatedMethod<? super X>>` | `getMethods()`
    `Set<Type>` | `getTypeClosure()`
    `boolean` | `isAnnotationPresent(Class<? extends Annotation> annotationType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoopAnnotatedType

          public NoopAnnotatedType()

  - ### Method Detail

    - #### getBaseType

          public Type getBaseType()

      Specified by:
        `getBaseType` in interface `Annotated`

    - #### getTypeClosure

          public Set<Type> getTypeClosure()

      Specified by:
        `getTypeClosure` in interface `Annotated`

    - #### getAnnotation

          public <T extends Annotation> T getAnnotation(Class<T> annotationType)

      Specified by:
        `getAnnotation` in interface `Annotated`

    - #### getAnnotations

          public Set<Annotation> getAnnotations()

      Specified by:
        `getAnnotations` in interface `Annotated`

    - #### isAnnotationPresent

          public boolean isAnnotationPresent(Class<? extends Annotation> annotationType)

      Specified by:
        `isAnnotationPresent` in interface `Annotated`

    - #### getJavaClass

          public Class<X> getJavaClass()

      Specified by:
        `getJavaClass` in interface `AnnotatedType<X>`

    - #### getConstructors

          public Set<AnnotatedConstructor<X>> getConstructors()

      Specified by:
        `getConstructors` in interface `AnnotatedType<X>`

    - #### getMethods

          public Set<AnnotatedMethod<? super X>> getMethods()

      Specified by:
        `getMethods` in interface `AnnotatedType<X>`

    - #### getFields

          public Set<AnnotatedField<? super X>> getFields()

      Specified by:
        `getFields` in interface `AnnotatedType<X>`

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.